#ifndef BENDDUCTION_H
#define BENDDUCTION_H

class BendDeduction {
private:
    double bendAngleRadians; // Bend angle in radians
    double insideRadius;     // Inside radius of the bend
    double materialThickness; // Thickness of the material
    double kFactor;          // K-factor

public:
    BendDeduction(double bendAngleDegrees, double radius, double thickness, double k);
    double calculateBendDeduction();
};

#endif
