#include "Kfactor.h"
#include <cmath> // Required for the pi constant

// Constants
const double PI = 3.14159265358979323846;

// Function definition for calculating the K-factor
double calculateKFactor(double bendAllowance, double bendingAngle, double materialThickness, double innerRadius) {
    double kFactor = (180.0 * bendAllowance) / (PI * bendingAngle * materialThickness) - (innerRadius / materialThickness);
    return kFactor;
}
